#!/usr/bin/perl
if (@ARGV < 2) {
    print "usage: move_num.pl <from> <offset>\n";
    exit 1;
}

$num_from = $ARGV[0];
$offset = $ARGV[1];

opendir(curdir, ".");
@entry = readdir(curdir);
closedir(curdir);

$running = 1;

while ($running == 1) {
    $running = 0;
    $num_to = $num_from + $offset;
    for ($i = 0; $i < @entry; ++$i) {
	if ($entry[$i] =~ /(.+)\.log\.$num_from/ ) {
	    $name = $1;
	    print "$name.log.$num_from \t-> $name.log.$num_to\n";
	    system "mv $name.log.$num_from $name.log.$num_to";
	    $running = 1;
	} elsif ($entry[$i] =~ /(.+)$num_from.txt/ ) {
	    $name = $1;
	    print "$name$num_from.txt \t-> $name$num_to.txt\n";
	    system "mv $name$num_from.txt $name$num_to.txt";
	    $running = 1;
	}
    }
    if ($offset < 0) {
	++$num_from;
    } else {
	--$num_from;
    }
}
