#!/bin/sh

portsuffix=58
allports=""
nr=0
plotopt=${3:-all}

while [ $nr -lt $2 ] ; do
    port=`expr $nr + 100`
    allports="$allports ${port}${portsuffix}"
    nr=`expr $nr + 1`
done
nr=0
while [ $nr -lt $1 ] ; do
    port=`expr $nr + 200`
    allports="$allports ${port}${portsuffix}"
    nr=`expr $nr + 1`
done

if [ $plotopt != -plotonly ] ; then
    echo parsing all
else
    echo plotting all
fi

rm -f graphs.ps pred_err.log.all

simnr=1
while [ -f net.log.$simnr -o -f net.log.$simnr.gz ] ; do
    if [ $plotopt != -plotonly -a -f net.log.$simnr ] ; then
	parse.pl net.log.$simnr $allports
	tcp-loss.pl $simnr
    fi
    #plot.pl $simnr -short -avg
    plot.pl $simnr
    simnr=`expr $simnr + 1`
done

#mergeps.pl graphs.ps graph*.ps
mergeps.pl graphs.ps br*.ps
rm br*.ps