#ifndef _LOSSFRACTION_H
#define _LOSSFRACTION_H

#define MAX_WEIGHTS 32
#define DW_FACTOR 2.0 /* last interval must be DW_FACTOR larger than avg. to start deweighting */

#define MIN_MULT 0.5  /* lower bound for deweighting factor (new_mult) */
extern float mult[MAX_WEIGHTS + 1];
extern float new_mult;

extern int   weights;
extern int   const_weights;
extern int   num_deweight;
extern float weight[MAX_WEIGHTS];
extern int   ppl[MAX_WEIGHTS + 1];  /* WEIGHTS packets per loss intervals + last interval without loss */
extern int   ppl_cur;
extern int32 high_offs;
extern int32 ppl_start, ppl_end;    /* XXX remove later */
extern int   ts_deweight[];         /* in ms */

double lossfraction_v1();
double lossfraction_v2();
double lossfraction_v3();
void   fake_history();
#endif
