#!/usr/bin/perl

$hname = "$ENV{HOST}";
# $logdir = "$ENV{HOME}/tfm/log";
# chdir $logdir;

@tcpnum = (1, 2, 4, 10,  1, 10);
@udpnum = (1, 2, 4, 10, 10,  1);

$syncport = 27520;
$portsuffix = 58;
$portsuffix1 = 59;

$delay = 0;

for ($num = 0; $num < @udpnum; ++$num) {
    print "$ARGV[0] x ($tcpnum[$num] x tcp, $udpnum[$num] x udp) to $ARGV[1]\n";

    $dumpcmd = "tcpdump -n 'host $hname and (port";

    for ($i = 0; $i < $udpnum[$num]; ++$i) {
	$port = $i + 100;
	$dumpcmd = "$dumpcmd or" if ($i > 0);
	$dumpcmd = "$dumpcmd $port$portsuffix or $port$portsuffix1";
    }
    for ($i = 0; $i < $tcpnum[$num]; ++$i) {
	$port = $i + 200;
	$dumpcmd = "$dumpcmd or" if ($i > 0 || $udpnum[$num] > 0);
	$dumpcmd = "$dumpcmd $port$portsuffix or $port$portsuffix1";
    }
    $dumpcmd = "$dumpcmd)' > net.log &";

    system "mkdir $tcpnum[$num]$udpnum[$num]";
    chdir "$tcpnum[$num]$udpnum[$num]";

    for ($simnr = 1; $simnr <= $ARGV[0]; ++$simnr) {
	$dt = $ARGV[2];
	print "run $simnr\n";

	system "tcpreceiver $syncport -s > /dev/null";
	die "ERROR: sync. failed\n" if ($? >> 8 != 0);
	print "synchronized\n";
	#print "$dumpcmd\n";
	#system "$dumpcmd";
	sleep 10;

	for ($i = 0; $i < $tcpnum[$num]; ++$i) {
	    $port = $i + 200;
	    system "tcpsender $ARGV[1] ${port}${portsuffix} &";
	    $dt = $dt - $delay;
	    sleep $delay;
	}

	for ($i = 0; $i < $udpnum[$num]; ++$i) {
	    $port = $i + 100;
	    $ii = $i + 1;
	    system "sender $ARGV[1] $port$portsuffix -t $dt -i 100 > sender$ii.log.$simnr &";
	    $dt = $dt - $delay;
	    sleep $delay;
	}

	sleep $dt;
	system "stopall.sh";
	system "movelog.sh $simnr";
    }
    chdir "..";
}
